Social Fetch
TikTok

Search TikTok users

Search TikTok users by keyword.

Operation

GET/v1/tiktok/users/search
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

querystringrequired(query)

Search query text for TikTok users.

min 1 chars Β· max 512 chars

cursorstring(query)

Opaque pagination cursor returned by a previous response.

min 1 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

dataquery
stringrequired

Search query that was evaluated for this response.

datausers
arrayrequired

Users returned for the search query.

datausers[]platform
stringrequired

Social platform for this user.

one of: tiktok

datausers[]handle
stringrequired

TikTok username without the leading @.

min 1 chars

datausers[]displayName
stringrequirednullable

Public display name shown for the user, when available.

datausers[]bio
stringrequirednullable

Profile biography text, when available.

datausers[]avatarUrl
stringrequirednullable

Profile image URL for the user, when available.

datausers[]verified
booleanrequired

Whether the user is marked as verified.

datausers[]profileUrl
stringrequired

Canonical public TikTok profile URL.

min 1 chars

datausers[]privateAccount
boolean

Whether the account is private, when reported.

datausers[]platformUserId
string

TikTok user id as a string when available.

datausers[]secUid
string

TikTok stable user identifier for advanced integrations, when available.

datausers[]metrics
objectrequired

Public profile metrics returned with this search result.

datausers[]metricsfollowers
integerrequirednullable

Follower count when available.

β‰₯ 0

datausers[]metricsfollowing
integerrequirednullable

Following count when available.

β‰₯ 0

datausers[]metricslikes
integerrequirednullable

Total profile likes when available.

β‰₯ 0

datausers[]metricsposts
integerrequirednullable

Public post count when available.

β‰₯ 0

datatotalUsers
integerrequired

Number of users returned in this response.

β‰₯ 0

datapage
objectrequired

Pagination information for the current response.

datapagenextCursor
stringrequirednullable

Cursor to pass in the next request when another page is available.

datapagehasMore
booleanrequired

Whether another page of users is likely available.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

β‰₯ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

User search results for the requested query.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page